Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.deploy
Class DeploymentManager.AppEntry

    java.lang.Object
      org.eclipse.jetty.deploy.DeploymentManager.AppEntry

Enclosing class:
  DeploymentManager

    public class DeploymentManager.AppEntry

extends java.lang.Object

Represents a single tracked app within the deployment manager.

Constructor Summary
`DeploymentManager.AppEntry()`

Method Summary
`App` | `getApp()`
`Node` | `getLifecyleNode()`
`java.util.Map<Node,java.lang.Long>` | `getStateTimestamps()`
`int` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentManager.AppEntry

    public DeploymentManager.AppEntry()

Method Detail

### getApp

    public App getApp()

### getLifecyleNode

    public Node getLifecyleNode()

### getStateTimestamps

    public java.util.Map<Node,java.lang.Long> getStateTimestamps()

### getVersion

    public int getVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.